xgboost

Classes | Functions
xgboost::detail Namespace Reference

## Classes
class | GradientPairInternal
| Implementation of gradient statistics pair. Template specialisation may be used to overload different gradients types e.g. low precision, high precision, integer, floating point. More...

## Functions
template<typename T , typename std::enable_if< std::is_same< T, JsonNumber >::value >::type * = nullptr>
JsonNumber::Float & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonNumber const >::value >::type * = nullptr>
JsonNumber::Float const & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonInteger >::value >::type * = nullptr>
JsonInteger::Int & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonInteger const >::value >::type * = nullptr>
JsonInteger::Int const & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonString >::value >::type * = nullptr>
std::string & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonString const >::value >::type * = nullptr>
std::string const & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonBoolean >::value >::type * = nullptr>
bool & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonBoolean const >::value >::type * = nullptr>
bool const & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonArray >::value >::type * = nullptr>
std::vector< Json > & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonArray const >::value >::type * = nullptr>
std::vector< Json > const & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonObject >::value >::type * = nullptr>
std::map< std::string, Json > & | GetImpl (T &val)
template<typename T , typename std::enable_if< std::is_same< T, JsonObject const >::value >::type * = nullptr>
std::map< std::string, Json > const & | GetImpl (T &val)
int32_t | ToCharsFloatImpl (float f, char *const result)
to_chars_result | ToCharsUnsignedImpl (char *first, char *last, uint64_t const value)
from_chars_result | FromCharFloatImpl (const char *buffer, const int len, float *result)

## Function Documentation

## ◆ FromCharFloatImpl()

from_chars_result xgboost::detail::FromCharFloatImpl | ( | const char * | buffer,
|  | const int | len,
|  | float * | result
| ) |  |

## ◆ GetImpl() [1/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonNumber >::value >::type * = nullptr>

JsonNumber::Float& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [2/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonNumber const >::value >::type * = nullptr>

JsonNumber::Float const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [3/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonInteger >::value >::type * = nullptr>

JsonInteger::Int& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [4/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonInteger const >::value >::type * = nullptr>

JsonInteger::Int const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [5/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonString >::value >::type * = nullptr>

std::string& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [6/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonString const >::value >::type * = nullptr>

std::string const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [7/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonBoolean >::value >::type * = nullptr>

bool& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [8/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonBoolean const >::value >::type * = nullptr>

bool const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [9/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonArray >::value >::type * = nullptr>

std::vector<Json>& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [10/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonArray const >::value >::type * = nullptr>

std::vector<Json> const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [11/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonObject >::value >::type * = nullptr>

std::map<std::string, Json>& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ GetImpl() [12/12]

template<typename T , typename std::enable_if< std::is_same< T, JsonObject const >::value >::type * = nullptr>

std::map<std::string, Json> const& xgboost::detail::GetImpl | ( | T & | val | ) |

## ◆ ToCharsFloatImpl()

int32_t xgboost::detail::ToCharsFloatImpl | ( | float | f,
|  | char *const | result
| ) |  |

## ◆ ToCharsUnsignedImpl()

to_chars_result xgboost::detail::ToCharsUnsignedImpl | ( | char * | first,
|  | char * | last,
|  | uint64_t const | value
| ) |  |